﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Exporting Elasticsearch-based Analytics History Data</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Exporting Elasticsearch-based Analytics History Data</h1>
        <p>You can export the ES based analytics data of categories, sub categories and associated controls using theAnalytics History Elastic.&#160;The exported file consists of all the ES based analytics data of the categories, sub-categories and associated controls in context with the logged-in user who is exporting the report. The data will have the complete details of controls in separated excel files in the prescribed columns along with/without summary.</p>
        <p>The ES based analytics history data can also be scheduled and reports can be sent to specified username in zip file along with excel file for each of the control in the specified category. In addition, the summary file can also be exported too, for which you need to select the Export Summary checkbox in&#160;<strong>Email control results based on security context (AnalyticsESExportJob)</strong>. For more details, see Analytics Job Control Panel.</p>
        <p>To export all ES based analytics data, perform the following steps:</p>
        <ol>
            <li>Go to <strong>&#160;Analytics &gt;&#160;Analytics History</strong>.</li>
            <li>
                <p>Select&#160;the Elastic&#160;tab.</p>
            </li>
            <li>Click the<strong>Action</strong> arrow and select <strong>Export Data</strong>. The <strong>Enter Details</strong> dialog box appears.</li>
            <li>Select one or more analytics categories which you want to export in Analytics&#160; Categories parameter.</li>
            <li>Select or clear the <strong>Export Summary</strong> check box and click <strong>Export. </strong>If check box is selected then summary will be included as part of the file/zip. Summary includes&#160;ES based analytics summary of the categories, sub-categories and associated controls in context with the logged-in user who is exporting the report. The summary will only have the details of controls in the following columns:<ul><li><p>Control Name</p></li><li><p>Description</p></li><li><p>Recommendation</p></li><li><p>History</p></li><li><p>Risk</p></li><li><p>Last Run</p></li><li><p>Conflict Count</p></li></ul></li>
        </ol>
        <p>The <strong>Save As</strong> dialog window appears where you can enter the file/zip name and save the exported file into your desired local folder, as required.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When you export the analytics control to CSV or Excel format, the&#160;Last Run time shown in this&#160;page is based on&#160;UTC time zone.</p>
        </div>
        <p>&#160;</p>
    </body>
</html>